function h_g=prognostic_core(m,inputs,analysis_type,sub_analysis_type)
%PROGNOSTIC_CORE - linear solution sequence
%
%   Usage:
%      h_g=prognostic_core(m,inputs,analysis_type,sub_analysis_type)

	displaystring(m.parameters.debug,'\n%s',['depth averaging velocity...']);
	%Take only the first two dofs of m.parameters.u_g
	u_g=get(inputs,'velocity',[1 1 0 0]);
	u_g=VelocityDepthAverage(m.elements,m.nodes,m.loads,m.materials,u_g);
	inputs=add(inputs,'velocity_average',u_g,'doublevec',2,m.parameters.numberofnodes);

	displaystring(m.parameters.debug,'\n%s',['call computational core:']);
	h_g=diagnostic_core_linear(m,inputs,analysis_type,sub_analysis_type);

	displaystring(m.parameters.debug,'\n%s',['extrude computed thickness on all layers:']);
	h_g=ThicknessExtrude(m.elements,m.nodes,m.loads,m.materials,h_g);

end %end function
